Debian -- Security Information -- DSA-4772-1 httpcomponents-client

Date: unknown

Location: www.debian.org

DSA-4772-1 httpcomponents-client -- security update

Date Reported:
14 Oct 2020
Affected Packages:
httpcomponents-client
Vulnerable:
Yes
Security database references:
In Mitre's CVE dictionary: CVE-2020-13956.
More information:

Priyank Nigam discovered that HttpComponents Client, a Java HTTP agent implementation, could misinterpret malformed authority component in a request URI and pick the wrong target host for request execution.

For the stable distribution (buster), this problem has been fixed in version 4.5.7-1+deb10u1.

We recommend that you upgrade your httpcomponents-client packages.

For the detailed security status of httpcomponents-client please refer to its security tracker page at: https://security-tracker.debian.org/tracker/httpcomponents-client